> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an SMS template



## OpenAPI

````yaml /openapi.json post /sms_templates/{id}
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /sms_templates/{id}:
    post:
      tags:
        - Sms templates
      summary: Update an SMS template
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the SMS template
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The name of the SMS template
                message:
                  type: string
                  description: >-
                    The message of the SMS template. Variables are supported via
                    `{{ variableName }}`
                image:
                  description: The image associated with the SMS template
                shorten_urls:
                  type: boolean
                  description: Whether to shorten URLs in the SMS template
                image_uploads:
                  type: array
                  items:
                    type: string
                  description: >-
                    The image upload IDs you would like to associate with the
                    SMS template
      responses:
        '200':
          description: The updated `SMSTemplate` object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SMSTemplate'
components:
  schemas:
    SMSTemplate:
      type: object
      properties:
        id:
          type: string
          description: The ID of the SMS template
        name:
          type: string
          description: The name of the SMS template
        message:
          type: string
          description: >-
            The message of the SMS template. Variables are supported via `{{
            variableName }}`
        estimated_sms_segments:
          type: integer
          description: The estimated number of SMS segments
        estimated_segments:
          type: object
          properties:
            sms:
              type: integer
              description: The number of SMS segments
            mms:
              type: integer
              description: The number of MMS segments
          required:
            - sms
            - mms
          description: >-
            The estimated number of segments of each type. Has keys `sms` and
            `mms`
        image:
          type: string
          nullable: true
          description: The ID of the image upload
        shorten_urls:
          type: boolean
          description: Whether to shorten URLs in the message
      required:
        - id
        - name
        - message
        - estimated_sms_segments
        - estimated_segments
        - image
        - shorten_urls
      title: The SMS Template object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````